## PeasGtkPluginManager

PeasGtkPluginManager — Management GUI for plugins.

## Functions

GtkWidget * | peas_gtk_plugin_manager_new ()
GtkWidget * | peas_gtk_plugin_manager_get_view ()

## Properties

PeasEngine * | engine | Read / Write / Construct Only
PeasGtkPluginManagerView * | view | Read / Write / Construct Only

## Types and Values

struct | PeasGtkPluginManager
struct | PeasGtkPluginManagerClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── PeasGtkPluginManager

## Implemented Interfaces

PeasGtkPluginManager implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The PeasGtkPluginManager is a widget that can be used to manage plugins, i.e. load or unload them, and see some pieces of information.

The only thing you need to do as an application writer if you wish to use the manager to configure your plugins is to instantiate it using `peas_gtk_plugin_manager_new()` and pack it into another widget or a window (as in the screenshot above).

## Functions

### peas_gtk_plugin_manager_new ()

    GtkWidget *
    peas_gtk_plugin_manager_new (PeasEngine *engine);

Creates a new plugin manager for the given PeasEngine.

If `engine` is `NULL`, then the default engine will be used.

#### Parameters

engine | A PeasEngine, or `NULL`. | [allow-none]

#### Returns

the new PeasGtkPluginManager.

### peas_gtk_plugin_manager_get_view ()

    GtkWidget *
    peas_gtk_plugin_manager_get_view (PeasGtkPluginManager *pm);

Returns the PeasGtkPluginManagerView of `pm` .

#### Parameters

pm | A PeasGtkPluginManager. |

#### Returns

the GtkTreeView of `pm` .

[transfer none]

## Types and Values

### struct PeasGtkPluginManager

    struct PeasGtkPluginManager;

The PeasGtkPluginManager structure contains only private data and should only be accessed using the provided API.

### struct PeasGtkPluginManagerClass

    struct PeasGtkPluginManagerClass {
      GtkBoxClass parent_class;
    };

The class structure for PeasGtkPluginManager.

#### Members

GtkBoxClass `parent_class`; | The parent class. |

## Property Details

### The `“engine”` property

      “engine”                   PeasEngine *

The PeasEngine this manager is attached to.

Flags: Read / Write / Construct Only

### The `“view”` property

      “view”                     PeasGtkPluginManagerView *

The PeasGtkPluginManagerView shown in the PeasGtkPluginManager.

Flags: Read / Write / Construct Only